[Yandex Cloud documentation](../../../index.md) > [Yandex Cloud Postbox](../../index.md) > [API reference](../index.md) > [REST](index.md) > Dedicated IP addresses > DeleteDedicatedIpPool method

# DeleteDedicatedIpPool method

Deletes a [dedicated IP address pool](../../concepts/glossary.md#dedicated-ip-pool) in a folder. The folder is selected based on the service account the request originates from.

{% note info %}

You cannot delete a pool linked to a [configuration](../../concepts/configuration.md). First, detach the pool from all configurations to which it is linked.

You can delete a pool even if it contains dedicated IP addresses: when you delete a pool, all IP addresses are automatically moved to the default pool named `ses-default-dedicated-pool`.

{% endnote %}

## Request {#request}

```http
DELETE /v2/email/dedicated-ip-pools/{PoolName} HTTP/2
```

### Path parameters {#path-parameters}

#|
|| **Parameter** | **Description** ||
|| `PoolName` | **Type**: String.

Name of the pool to delete. ||
|#

### Request headers {#request-headers}

Use [common request headers](request-headers.md) in your requests.

## Responses {#responses}

### 200 OK {#200}

A successful request returns `200 OK` in the response.

### Errors {#errors}

For all errors, the response body has the same format:

```json
{
   "Code": "<error_name>",
   "message": "<error_description>"
}
```

The name of the error is taken from its code, e.g., `BadRequestException`.

The possible errors include:

#|
|| **Error code** | **Description** ||
|| `400 BadRequestException` | The request contains invalid headers or parameters, or the pool is assigned to a configuration. ||
|| `404 NotFoundException` | No pool of that name was found. ||
|| `429 TooManyRequestsException` | The request [quota](../../concepts/limits.md#postbox-quotas) was exceeded. ||
|#